25 июл. 2016 г.

FAQ: поддержка новых алгоритмов шифрования в OS Solaris 10 и коннектор OIM Unix SSH 9.0.4

Short intro: here you can find answer about new & deprecated ciphers on OS Solaris 10 & compatibility with old OIM connectors version 9.0.4.X...

Q: Я использую OIM 11gR2PS1 и коннекторы к Unix SSH/Telnet весрии 9.0.4.Х. Не так давно мы накатили новый патч на ОС Solaris 10, который убрал ранее используемые алгоритмы шифрования, "ciphers" (3des-cbc,blowfish-cbc) из конфигурации и дополнил новыми (Aes128-ctr, aes192-ctr, aes256-ctr, arcfour128, arcfour256,arcfour). После чего перестал работать коннектор OIM к Unix SSH/Telnet 9.0.4.X. Количество серверов с ОС Solaris 10 в компании велико и не представляется возможным на каждом из них вернуть обратно в конфигурации сервера.



A: Я создал соответствующий запрос в My Oracle Support и получили ответ от Oracle Development, что новые алгоритмы, "ciphers", должны поддерживаться новым коннектором 11.1.1.7, который использует другие библиотеки работы с SSH.

Я посчитал этот запрос интересным с той точки зрения, что это еще один повод для обоснования необходимости перехода на новые версии OIM и новые версии коннекторов соответственно.



Комментариев нет:

Отправить комментарий